function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = baby00.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(47, 91);
g1(1,31)=1;
g1(1,32)=1;
g1(1,48)=1;
g1(1,68)=(-1);
g1(2,75)=(-(y(84)*(-(params(1)*y(56)))/(y(75)*y(75))));
g1(2,56)=(-(y(84)*params(1)/y(75)));
g1(2,59)=1;
g1(2,84)=(-(params(1)*y(56)/y(75)));
g1(3,28)=(-T(1));
g1(3,52)=(-(y(28)*getPowerDeriv(y(52),params(5),1)));
g1(3,59)=y(63)/y(66);
g1(3,63)=y(59)/y(66);
g1(3,66)=(-(y(59)*y(63)))/(y(66)*y(66));
g1(4,54)=y(59);
g1(4,81)=(-(params(1)*y(84)));
g1(4,59)=y(54);
g1(4,84)=(-(params(1)*y(81)));
g1(4,61)=(-1);
g1(5,25)=(-(params(14)*1/y(25)));
g1(5,7)=y(19)/y(41);
g1(5,29)=(-1);
g1(5,32)=1;
g1(5,41)=(-(y(19)*y(7)))/(y(41)*y(41));
g1(5,15)=(-y(54));
g1(5,47)=y(54);
g1(5,53)=(-y(64));
g1(5,54)=y(47)-y(15);
g1(5,19)=y(7)/y(41);
g1(5,64)=(-y(53));
g1(6,75)=(-(y(85)*params(2)*((-y(56))/(y(75)*y(75))-(-(params(37)*y(80)))/(y(75)*y(75)))));
g1(6,50)=(-y(60));
g1(6,80)=(-(y(85)*params(2)*(-(params(37)/y(75)))));
g1(6,56)=(-(y(85)*params(2)*1/y(75)));
g1(6,60)=1-y(50);
g1(6,85)=(-T(2));
g1(7,28)=(-T(3));
g1(7,53)=(-(y(28)*getPowerDeriv(y(53),params(5),1)));
g1(7,60)=y(64)/y(67);
g1(7,64)=y(60)/y(67);
g1(7,67)=(-(y(64)*y(60)))/(y(67)*y(67));
g1(8,50)=(-(y(54)*params(7)*(1-params(37))*y(60)));
g1(8,54)=y(60)-params(7)*y(60)*(1-params(37))*y(50);
g1(8,81)=(-(params(2)*y(85)));
g1(8,60)=y(54)-y(54)*params(7)*(1-params(37))*y(50);
g1(8,85)=(-(params(2)*y(81)));
g1(8,62)=(-1);
g1(9,17)=(-(T(6)*getPowerDeriv(y(17),params(8),1)));
g1(9,52)=(-(T(7)*T(5)*getPowerDeriv(y(52),(1-params(8))*(1-params(15)),1)));
g1(9,53)=(-(T(7)*T(4)*getPowerDeriv(y(53),(1-params(8))*params(15),1)));
g1(9,68)=1;
g1(10,52)=(-(y(63)*y(65)));
g1(10,63)=(-(y(52)*y(65)));
g1(10,65)=(-(y(63)*y(52)));
g1(10,68)=(1-params(8))*(1-params(15));
g1(11,53)=(-(y(64)*y(65)));
g1(11,64)=(-(y(53)*y(65)));
g1(11,65)=(-(y(64)*y(53)));
g1(11,68)=(1-params(8))*params(15);
g1(12,25)=(-((1-params(14))*1/y(25)));
g1(12,10)=(-(params(11)*T(22)/(y(10)/params(13))));
g1(12,41)=T(23)-params(1)*(-(params(11)*T(23)));
g1(12,75)=(-(params(1)*T(22)/(y(75)/params(13))));
g1(12,65)=(1-params(20))*(1-params(1)*params(20))/params(20)*1/params(22)/(y(65)/params(22));
g1(13,27)=(-(1/y(27)));
g1(13,13)=(-(params(12)*T(22)/(y(13)/params(13))));
g1(13,45)=T(24)-params(1)*(-(params(12)*T(24)));
g1(13,76)=(-(params(1)*T(22)/(y(76)/params(13))));
g1(13,66)=T(9)*1/params(23)/(y(66)/params(23));
g1(14,27)=(-(1/y(27)));
g1(14,14)=(-(params(12)*T(22)/(y(14)/params(13))));
g1(14,46)=T(25)-params(1)*(-(params(12)*T(25)));
g1(14,77)=(-(params(1)*T(22)/(y(77)/params(13))));
g1(14,67)=T(9)*1/params(23)/(y(67)/params(23));
g1(15,26)=(-(1/y(26)));
g1(15,41)=(-((1-params(18))*params(16)*0.25*T(23)));
g1(15,42)=(-((1-params(18))*params(16)*0.25*T(22)/(y(42)/params(13))));
g1(15,43)=(-((1-params(18))*params(16)*0.25*T(22)/(y(43)/params(13))));
g1(15,44)=(-((1-params(18))*params(16)*0.25*T(22)/(y(44)/params(13))));
g1(15,18)=(-((1-params(18))*params(17)/4*(-y(54))/(y(18)*y(18))/(y(54)/y(18))));
g1(15,54)=(-((1-params(18))*params(17)/4*1/y(18)/(y(54)/y(18))));
g1(15,19)=(-(params(18)*1/y(19)));
g1(15,58)=1/y(58);
g1(15,68)=(-((1-params(18))*params(19)*1/T(20)/(y(68)/T(20))));
g1(16,10)=(-1);
g1(16,42)=1;
g1(17,11)=(-1);
g1(17,43)=1;
g1(18,12)=(-1);
g1(18,44)=1;
g1(19,28)=(-(T(10)*1/(y(31)-params(3)*y(8))));
g1(19,72)=(-(T(10)*(-(params(1)*params(3)/(y(73)-y(31)*params(3))))));
g1(19,8)=(-(T(10)*(-(y(28)*(-params(3))))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
g1(19,31)=(-(T(10)*((-y(28))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))-(-(params(1)*params(3)*y(72)*(-params(3))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))))));
g1(19,73)=(-(T(10)*(-((-(params(1)*params(3)*y(72)))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
g1(19,59)=1;
g1(20,28)=(-(T(11)*1/(y(32)-params(3)*y(9))));
g1(20,72)=(-(T(11)*(-(params(2)*params(3)/(y(74)-y(32)*params(3))))));
g1(20,9)=(-(T(11)*(-(y(28)*(-params(3))))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
g1(20,32)=(-(T(11)*((-y(28))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))-(-(y(72)*params(2)*params(3)*(-params(3))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))))));
g1(20,74)=(-(T(11)*(-((-(y(72)*params(2)*params(3)))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
g1(20,60)=1;
g1(21,23)=(-(T(12)*y(28)/(1-y(47)-params(4)*(1-y(15)))));
g1(21,70)=(-(T(12)*(-(y(72)*params(1)*params(4)/(1-y(78)-params(4)*(1-y(47)))))));
g1(21,28)=(-(T(12)*y(23)/(1-y(47)-params(4)*(1-y(15)))));
g1(21,72)=(-(T(12)*(-(params(1)*params(4)*y(70)/(1-y(78)-params(4)*(1-y(47)))))));
g1(21,15)=(-(T(12)*(-(params(4)*y(28)*y(23)))/((1-y(47)-params(4)*(1-y(15)))*(1-y(47)-params(4)*(1-y(15))))));
g1(21,47)=(-(T(12)*(y(28)*y(23)/((1-y(47)-params(4)*(1-y(15)))*(1-y(47)-params(4)*(1-y(15))))-(-(params(4)*y(72)*params(1)*params(4)*y(70)))/((1-y(78)-params(4)*(1-y(47)))*(1-y(78)-params(4)*(1-y(47)))))));
g1(21,78)=(-(T(12)*(-(y(72)*params(1)*params(4)*y(70)/((1-y(78)-params(4)*(1-y(47)))*(1-y(78)-params(4)*(1-y(47))))))));
g1(21,61)=1;
g1(22,23)=(-(T(13)*y(28)/(y(47)-y(15)*params(4))));
g1(22,70)=(-(T(13)*(-(y(72)*params(2)*params(4)/(y(78)-y(47)*params(4))))));
g1(22,28)=(-(T(13)*y(23)/(y(47)-y(15)*params(4))));
g1(22,72)=(-(T(13)*(-(y(70)*params(2)*params(4)/(y(78)-y(47)*params(4))))));
g1(22,15)=(-(T(13)*(-(y(28)*y(23)*(-params(4))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
g1(22,47)=(-(T(13)*((-(y(28)*y(23)))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))-(-(y(70)*y(72)*params(2)*params(4)*(-params(4))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))))));
g1(22,78)=(-(T(13)*(-((-(y(70)*y(72)*params(2)*params(4)))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
g1(22,62)=1;
g1(23,16)=y(59)*y(55)*(-((-params(9))/(params(10)*T(15)*T(20))));
g1(23,48)=y(59)*y(55)*(-(params(9)/(params(10)*T(15)*T(20))))+(-(params(9)*params(1)*y(84)*y(82)))/(params(10)*T(15)*T(20));
g1(23,79)=params(9)*params(1)*y(84)*y(82)/(params(10)*T(15)*T(20));
g1(23,55)=y(59)*T(21);
g1(23,82)=(y(79)-y(48))*params(9)*params(1)*y(84)/(params(10)*T(15)*T(20));
g1(23,59)=y(55)*T(21)-1;
g1(23,84)=(y(79)-y(48))*params(9)*params(1)*y(82)/(params(10)*T(15)*T(20));
g1(24,24)=(-(y(59)*y(55)))/(y(24)*y(24));
g1(24,71)=(-(params(1)*y(84)*(-((1-params(10))*y(82)))/(y(71)*y(71))));
g1(24,55)=y(59)/y(24);
g1(24,82)=(-(params(1)*y(84)*(1-params(10))/y(71)));
g1(24,83)=(-(params(1)*y(84)));
g1(24,59)=y(55)/y(24);
g1(24,84)=(-(params(1)*(y(83)+(1-params(10))*y(82)/y(71))));
g1(25,24)=(-y(49))/(y(24)*y(24))-(-((1-params(10))*y(17)))/(y(24)*y(24));
g1(25,48)=(-1);
g1(25,17)=(-((1-params(10))/y(24)));
g1(25,49)=1/y(24);
g1(26,17)=(-(y(65)*y(57)));
g1(26,57)=(-(y(17)*y(65)));
g1(26,65)=(-(y(17)*y(57)));
g1(26,68)=params(8);
g1(27,41)=(-(y(63)/y(20)));
g1(27,45)=1;
g1(27,20)=(-((-(y(63)*y(41)))/(y(20)*y(20))));
g1(27,63)=(-(y(41)/y(20)));
g1(28,41)=(-(y(64)/y(21)));
g1(28,46)=1;
g1(28,21)=(-((-(y(41)*y(64)))/(y(21)*y(21))));
g1(28,64)=(-(y(41)/y(21)));
g1(29,1)=(-(params(24)*1/y(1)));
g1(29,23)=1/y(23);
g1(29,69)=(-1);
g1(30,22)=(-params(36));
g1(30,69)=1;
g1(30,86)=(-1);
g1(31,2)=(-(params(25)*1/y(2)));
g1(31,24)=1/y(24);
g1(31,87)=(-1);
g1(32,3)=(-(params(26)*1/y(3)));
g1(32,25)=1/y(25);
g1(32,88)=(-1);
g1(33,5)=(-(params(28)*1/y(5)));
g1(33,27)=1/y(27);
g1(33,90)=(-1);
g1(34,4)=(-(params(27)*1/y(4)));
g1(34,26)=1/y(26);
g1(34,89)=(-1);
g1(35,6)=(-(params(29)*1/y(6)));
g1(35,28)=1/y(28);
g1(35,91)=(-1);
g1(36,31)=(-(1/(T(20)-params(10)*T(15)*T(20))));
g1(36,32)=(-(1/(T(20)-params(10)*T(15)*T(20))));
g1(36,33)=1;
g1(37,37)=1;
g1(37,52)=(-(params(15)/T(18)));
g1(37,53)=(-((1-params(15))/T(19)));
g1(38,36)=1;
g1(38,48)=(-(1/(params(10)*T(15)*T(20))));
g1(39,38)=1;
g1(39,54)=(-(1/(T(20)*params(6)/(1-params(1))*(1-T(17)-params(10)*T(15))+T(20)*T(16)*T(17))));
g1(40,39)=1;
g1(40,56)=(-1);
g1(41,40)=1;
g1(41,58)=(-1);
g1(42,34)=1;
g1(42,41)=(-T(23));
g1(43,35)=1;
g1(43,45)=(-((1-params(15))/params(13)/T(14)));
g1(43,46)=(-(params(15)/params(13)/T(14)));
g1(44,29)=1;
g1(44,30)=(-1);
g1(45,7)=(-(params(37)/y(41)));
g1(45,30)=1;
g1(45,41)=(-((-(params(37)*y(7)))/(y(41)*y(41))));
g1(45,47)=(-(params(7)*(1-params(37))*y(54)));
g1(45,54)=(-(params(7)*(1-params(37))*y(47)));
g1(46,29)=(-1);
g1(46,30)=1;
g1(46,51)=1;
g1(47,56)=1/y(56);
g1(47,58)=(-(1/y(58)));

end
