function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = baby00.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(47, 1);
lhs = y(31)+y(32)+y(48);
rhs = y(68);
residual(1) = lhs - rhs;
lhs = y(59);
rhs = params(1)*y(56)/y(75)*y(84);
residual(2) = lhs - rhs;
lhs = y(59)*y(63)/y(66);
rhs = y(28)*T(1);
residual(3) = lhs - rhs;
lhs = y(59)*y(54);
rhs = y(61)+y(84)*params(1)*y(81);
residual(4) = lhs - rhs;
lhs = y(32)+y(54)*(y(47)-y(15))+y(19)*y(7)/y(41);
rhs = y(64)*y(53)+y(29)+params(14)*log(y(25));
residual(5) = lhs - rhs;
lhs = y(60)*(1-y(50));
rhs = T(2)*y(85);
residual(6) = lhs - rhs;
lhs = y(64)*y(60)/y(67);
rhs = y(28)*T(3);
residual(7) = lhs - rhs;
lhs = y(54)*y(60);
rhs = y(62)+y(85)*params(2)*y(81)+y(54)*params(7)*y(60)*(1-params(37))*y(50);
residual(8) = lhs - rhs;
lhs = y(68);
rhs = T(6)*T(7);
residual(9) = lhs - rhs;
lhs = (1-params(8))*(1-params(15))*y(68);
rhs = y(52)*y(63)*y(65);
residual(10) = lhs - rhs;
lhs = (1-params(8))*params(15)*y(68);
rhs = y(53)*y(64)*y(65);
residual(11) = lhs - rhs;
lhs = T(8)-params(11)*log(y(10)/params(13));
rhs = params(1)*(log(y(75)/params(13))-T(8)*params(11))-(1-params(20))*(1-params(1)*params(20))/params(20)*log(y(65)/params(22))+log(y(25))*(1-params(14));
residual(12) = lhs - rhs;
lhs = log(y(45)/params(13))-params(12)*log(y(13)/params(13));
rhs = params(1)*(log(y(76)/params(13))-log(y(45)/params(13))*params(12))-T(9)*log(y(66)/params(23))+log(y(27));
residual(13) = lhs - rhs;
lhs = log(y(46)/params(13))-params(12)*log(y(14)/params(13));
rhs = log(y(27))+params(1)*(log(y(77)/params(13))-params(12)*log(y(46)/params(13)))-T(9)*log(y(67)/params(23));
residual(14) = lhs - rhs;
lhs = log(y(58));
rhs = log(y(26))+(1-params(18))*log(params(13)/params(1))+(1-params(18))*params(17)/4*log(y(54)/y(18))+params(18)*log(y(19))+(1-params(18))*params(16)*(T(8)*0.25+0.25*log(y(42)/params(13))+0.25*log(y(43)/params(13))+0.25*log(y(44)/params(13)))+(1-params(18))*params(19)*log(y(68)/T(20));
residual(15) = lhs - rhs;
lhs = y(42);
rhs = y(10);
residual(16) = lhs - rhs;
lhs = y(43);
rhs = y(11);
residual(17) = lhs - rhs;
lhs = y(44);
rhs = y(12);
residual(18) = lhs - rhs;
lhs = y(59);
rhs = T(10)*(y(28)/(y(31)-params(3)*y(8))-params(1)*params(3)*y(72)/(y(73)-y(31)*params(3)));
residual(19) = lhs - rhs;
lhs = y(60);
rhs = T(11)*(y(28)/(y(32)-params(3)*y(9))-y(72)*params(2)*params(3)/(y(74)-y(32)*params(3)));
residual(20) = lhs - rhs;
lhs = y(61);
rhs = T(12)*(y(28)*y(23)/(1-y(47)-params(4)*(1-y(15)))-y(72)*params(1)*params(4)*y(70)/(1-y(78)-params(4)*(1-y(47))));
residual(21) = lhs - rhs;
lhs = y(62);
rhs = T(13)*(y(28)*y(23)/(y(47)-y(15)*params(4))-y(70)*y(72)*params(2)*params(4)/(y(78)-y(47)*params(4)));
residual(22) = lhs - rhs;
lhs = y(59)*y(55)*T(21);
rhs = y(59)-params(9)*params(1)*y(84)*y(82)*(y(79)-y(48))/(params(10)*T(15)*T(20));
residual(23) = lhs - rhs;
lhs = y(59)*y(55)/y(24);
rhs = params(1)*y(84)*(y(83)+(1-params(10))*y(82)/y(71));
residual(24) = lhs - rhs;
lhs = y(49)/y(24);
rhs = y(48)+(1-params(10))*y(17)/y(24);
residual(25) = lhs - rhs;
lhs = params(8)*y(68);
rhs = y(17)*y(65)*y(57);
residual(26) = lhs - rhs;
lhs = y(45);
rhs = y(63)*y(41)/y(20);
residual(27) = lhs - rhs;
lhs = y(46);
rhs = y(41)*y(64)/y(21);
residual(28) = lhs - rhs;
lhs = log(y(23));
rhs = params(24)*log(y(1))+y(69);
residual(29) = lhs - rhs;
lhs = y(69);
rhs = params(36)*y(22)+x(it_, 1);
residual(30) = lhs - rhs;
lhs = log(y(24));
rhs = params(25)*log(y(2))+x(it_, 2);
residual(31) = lhs - rhs;
lhs = log(y(25));
rhs = params(26)*log(y(3))+x(it_, 3);
residual(32) = lhs - rhs;
lhs = log(y(27));
rhs = params(28)*log(y(5))+x(it_, 5);
residual(33) = lhs - rhs;
lhs = log(y(26));
rhs = params(27)*log(y(4))+x(it_, 4);
residual(34) = lhs - rhs;
lhs = log(y(28));
rhs = params(29)*log(y(6))+x(it_, 6);
residual(35) = lhs - rhs;
lhs = y(33);
rhs = (y(31)+y(32))/(T(20)-params(10)*T(15)*T(20))-1;
residual(36) = lhs - rhs;
lhs = y(37);
rhs = params(15)*y(52)/T(18)+(1-params(15))*y(53)/T(19)-1;
residual(37) = lhs - rhs;
lhs = y(36);
rhs = y(48)/(params(10)*T(15)*T(20))-1;
residual(38) = lhs - rhs;
lhs = y(38);
rhs = y(54)/(T(20)*params(6)/(1-params(1))*(1-T(17)-params(10)*T(15))+T(20)*T(16)*T(17))-1;
residual(39) = lhs - rhs;
lhs = y(39);
rhs = y(56)-params(13)/params(1);
residual(40) = lhs - rhs;
lhs = y(40);
rhs = y(58)-params(13)/params(1);
residual(41) = lhs - rhs;
lhs = y(34);
rhs = T(8);
residual(42) = lhs - rhs;
lhs = y(35);
rhs = log(T(14));
residual(43) = lhs - rhs;
lhs = y(29);
rhs = y(30);
residual(44) = lhs - rhs;
lhs = y(30);
rhs = y(47)*params(7)*(1-params(37))*y(54)+params(37)*y(7)/y(41);
residual(45) = lhs - rhs;
lhs = y(51);
rhs = y(29)-y(30);
residual(46) = lhs - rhs;
lhs = log(y(56));
rhs = log(y(58));
residual(47) = lhs - rhs;

end
