function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 21);

T(1) = y(52)^params(5);
T(2) = params(2)*(y(56)/y(75)-params(37)*y(80)/y(75));
T(3) = y(53)^params(5);
T(4) = y(52)^((1-params(8))*(1-params(15)));
T(5) = y(53)^((1-params(8))*params(15));
T(6) = T(4)*T(5);
T(7) = y(17)^params(8);
T(8) = log(y(41)/params(13));
T(9) = (1-params(21))*(1-params(1)*params(21))/params(21);
T(10) = (1-params(3))/(1-params(1)*params(3));
T(11) = (1-params(3))/(1-params(2)*params(3));
T(12) = params(6)*(1-params(4))/(1-params(1)*params(4));
T(13) = params(6)*(1-params(4))/(1-params(2)*params(4));
T(14) = (params(15)*y(46)+(1-params(15))*y(45))/params(13);
T(15) = params(8)/(params(22)*(1/params(1)-(1-params(10))));
T(16) = params(6)/(1-params(2)-(1-params(37))*(1-params(2)/params(1))/(1-params(2)*params(37)/params(13))*params(7));
T(17) = (1-params(8))*params(15)/(1+params(7)*(1-params(37))/(1-params(37)/params(13))*(1/params(1)-1)*T(16))*1/params(22);
T(18) = ((1-params(8))*(1-params(15))/(params(22)*params(23)*(1-T(17)-params(10)*T(15))))^(1/(1+params(5)));
T(19) = ((1-params(8))*params(15)/(params(22)*params(23)*T(17)))^(1/(1+params(5)));
T(20) = T(15)^(params(8)/(1-params(8)))*(T(18))^(1-params(15))*(T(19))^params(15);
T(21) = 1-params(9)*(y(48)-y(16))/(params(10)*T(15)*T(20));

end
