function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 62);

T = baby01.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(42) = 1/params(13);
T(43) = T(42)/T(8);
T(44) = params(2)*((-y(56))/(y(75)*y(75))-(-(params(37)*y(80)))/(y(75)*y(75)));
T(45) = T(42)/T(14);
T(46) = (1-params(15))/params(13);
T(47) = T(42)/T(19);
T(48) = params(15)/params(13);
T(49) = (1-y(47)-params(4)*(1-y(15)))*(1-y(47)-params(4)*(1-y(15)));
T(50) = (1-y(78)-params(4)*(1-y(47)))*(1-y(78)-params(4)*(1-y(47)));
T(51) = (-((-params(9))/(params(10)*T(33)*T(39))));
T(52) = (-(params(9)/(params(10)*T(33)*T(39))));
T(53) = getPowerDeriv(y(17),params(8),1);
T(54) = getPowerDeriv(y(52),params(5),1);
T(55) = getPowerDeriv(y(52),(1-params(8))*(1-params(15)),1);
T(56) = T(5)*T(55);
T(57) = getPowerDeriv(y(53),params(5),1);
T(58) = getPowerDeriv(y(53),(1-params(8))*params(15),1);
T(59) = T(4)*T(58);
T(60) = (-y(54))/(y(18)*y(18));
T(61) = 1/y(18);
T(62) = 1/params(23);

end
