function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 41);

T(1) = y(52)^params(5);
T(2) = params(2)*(y(56)/y(75)-params(37)*y(80)/y(75));
T(3) = y(53)^params(5);
T(4) = y(52)^((1-params(8))*(1-params(15)));
T(5) = y(53)^((1-params(8))*params(15));
T(6) = T(4)*T(5);
T(7) = y(17)^params(8);
T(8) = y(41)/params(13);
T(9) = log(T(8));
T(10) = y(10)/params(13);
T(11) = y(75)/params(13);
T(12) = (1-params(20))*(1-params(1)*params(20))/params(20);
T(13) = y(65)/params(22);
T(14) = y(45)/params(13);
T(15) = y(13)/params(13);
T(16) = y(76)/params(13);
T(17) = (1-params(21))*(1-params(1)*params(21))/params(21);
T(18) = y(66)/params(23);
T(19) = y(46)/params(13);
T(20) = y(14)/params(13);
T(21) = y(77)/params(13);
T(22) = y(67)/params(23);
T(23) = y(42)/params(13);
T(24) = y(43)/params(13);
T(25) = y(44)/params(13);
T(26) = (1-params(18))*params(17)/4;
T(27) = y(54)/y(18);
T(28) = (1-params(3))/(1-params(1)*params(3));
T(29) = (1-params(3))/(1-params(2)*params(3));
T(30) = params(6)*(1-params(4))/(1-params(1)*params(4));
T(31) = params(6)*(1-params(4))/(1-params(2)*params(4));
T(32) = (params(15)*y(46)+(1-params(15))*y(45))/params(13);
T(33) = params(8)/(params(22)*(1/params(1)-(1-params(10))));
T(34) = params(6)/(1-params(2)-(1-params(37))*(1-params(2)/params(1))/(1-params(2)*params(37)/params(13))*params(7));
T(35) = 1/params(22);
T(36) = (1-params(8))*params(15)/(1+params(7)*(1-params(37))/(1-params(37)/params(13))*(1/params(1)-1)*T(34))*T(35);
T(37) = ((1-params(8))*(1-params(15))/(params(22)*params(23)*(1-T(36)-params(10)*T(33))))^(1/(1+params(5)));
T(38) = ((1-params(8))*params(15)/(params(22)*params(23)*T(36)))^(1/(1+params(5)));
T(39) = T(33)^(params(8)/(1-params(8)))*(T(37))^(1-params(15))*(T(38))^params(15);
T(40) = y(68)/T(39);
T(41) = 1-params(9)*(y(48)-y(16))/(params(10)*T(33)*T(39));

end
